Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 641248 - DeprecationWarning when pykickstart parsing KS file - missing %end
Summary: DeprecationWarning when pykickstart parsing KS file - missing %end
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning
Version: 540
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomas Lestach
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: sat560-triage
TreeView+ depends on / blocked
 
Reported: 2010-10-08 07:16 UTC by Jan Hutař
Modified: 2014-03-10 19:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-10 19:45:17 UTC


Attachments (Terms of Use)
KS file used for kickstarting downloaded from satellite (deleted)
2010-10-08 07:23 UTC, Jan Hutař
no flags Details

Description Jan Hutař 2010-10-08 07:16:24 UTC
Description of problem:
When we were re-provisioning RHEL6 -> RHEL6, atodorov have encountered this DeprecationWarning:

10:36:55,956 WARNING : /usr/lib/python2.6/site-packages/pykickstart/parser.py:733: DeprecationWarning: Script does not end with %end.  This syntax has been deprecated.  It may be removed from future releases, which will result in a fatal error from kickstart.  Please modify your kickstart file to use this updated syntax.
  warnings.warn(_("%s does not end with %%end.  This syntax has been deprecated.  It may be removed from future releases, which will result in a fatal error from kickstart.  Please modify your kickstart file to use this updated syntax.") % _("Script"), DeprecationWarning)


Version-Release number of selected component (if applicable):
Satellite-5.4.0-RHEL5-re20101001.1-x86_64-embedded-oracle


How reproducible:
always


Steps to Reproduce:
1. provision system and inspect anaconda.log


Actual results:
There is the above mentioned warning


Expected results:
There should not be any warning

Comment 1 Jan Hutař 2010-10-08 07:23:53 UTC
Created attachment 452279 [details]
KS file used for kickstarting downloaded from satellite

Comment 2 Paul Wouters 2011-05-09 03:19:21 UTC
I saw this on my PXE upgrade from f14 to f15 TC1 as well. The installer continued luckilly

Comment 3 Tim Jackson 2011-05-26 11:33:48 UTC
Presumably it's not the deprecation warning that's wrong but Satellite that is generating kickstarts without the relevant %end markers.

The RHEL6 Migration Planning Guide says that %end is now an error, although in my experience it seems to warn rather than stop deployment.

Comment 6 Tomas Lestach 2014-03-10 12:34:27 UTC
The issue was fixed in upstream within Bug 639999. So the '%end's shall be available already in Satellite 5.5.

Comment 7 Jan Hutař 2014-03-10 19:45:17 UTC
I have tried with two KS files from Satellite 5.6.0 and `ksvalidate` utility from package pykickstart-1.99.48-1.fc20.noarch and I do confirm it is fixed.


Note You need to log in before you can comment on or make changes to this bug.